package com.bsoft.api.controller;

import com.bsoft.api.common.Result;
import com.bsoft.api.common.annotations.Token;
import com.bsoft.api.model.SerDiseaseDocRs;
import com.bsoft.api.model.reqmodel.DiseaseDoc;
import com.bsoft.api.service.SerDiseaseDocService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "疾病与医生关系信息Api")
@RestController
public class SerDiseaseDocController {

    @Autowired
    private SerDiseaseDocService serDiseaseDocService;

    @PostMapping("diseaseDoc")
    @Token
    @ApiOperation("根据Code查询疾病关系信息")
    public Object getDiseaseDoc(@RequestBody DiseaseDoc disease) throws InterruptedException {
        List<SerDiseaseDocRs> list = serDiseaseDocService.getDiseaseDoc(disease.getDocCode(),disease.getMdcCode(),
                disease.getDeptCode(),disease.getDate());
        return Result.success(list);
    }
}
